Bug 1686711 - [Thin-arbiter] : send correct error code in case of failure
Summary: [Thin-arbiter] : send correct error code in case of failure
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: replicate
Version: mainline
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Ashish Pandey
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1709143 1709145
TreeView+ depends on / blocked
 
Reported: 2019-03-08 05:16 UTC by Ashish Pandey
Modified: 2019-07-05 07:42 UTC (History)
2 users (show)

Fixed In Version: glusterfs-7.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1709143 1709145 (view as bug list)
Environment:
Last Closed: 2019-07-05 07:42:39 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Gluster.org Gerrit 22327 None Open cluster/afr : TA: Return actual error code in case of failure 2019-03-14 12:11:56 UTC

Description Ashish Pandey 2019-03-08 05:16:32 UTC
Description of problem:

Handle error code properly.

https://review.gluster.org/#/c/glusterfs/+/21933/6/xlators/cluster/afr/src/afr-transaction.c@1306


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Worker Ant 2019-03-08 06:13:44 UTC
REVIEW: https://review.gluster.org/22327 (cluster/afr : TA: Return actual error code in case of failure) posted (#1) for review on master by Ashish Pandey

Comment 2 Worker Ant 2019-03-14 12:11:57 UTC
REVIEW: https://review.gluster.org/22327 (cluster/afr : TA: Return actual error code in case of failure) merged (#3) on master by Pranith Kumar Karampuri

Comment 3 Worker Ant 2019-05-13 05:36:16 UTC
REVIEW: https://review.gluster.org/22711 (cluster/afr : TA: Return actual error code in case of failure) posted (#1) for review on release-6 by Ashish Pandey

Comment 4 Worker Ant 2019-05-13 05:38:01 UTC
REVISION POSTED: https://review.gluster.org/22711 (cluster/afr : TA: Return actual error code in case of failure) posted (#2) for review on release-6 by Ashish Pandey


Note You need to log in before you can comment on or make changes to this bug.